Bug 167981 - Calc very very slow when working on a relatively big file with hidden columns and auto-filter on
Calc very very slow when working on a relatively big file with hidden columns...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 20:03 EDT by David
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-12 04:07:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test file to prove the slowness of Calc (132.90 KB, application/octet-stream)
2005-09-09 20:08 EDT, David
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 54430 None None None Never

  None (edit)
Description David 2005-09-09 20:03:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pt-PT; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I have a Calc file that works as Data Base, when certain columns are hidden and I use autofilter to select only certain rows, Calc gets very very slow, when scrolling with cursor arrows and also when trying to insert new data in cells (2 seconds in my machine: Sony VAIO PCG-TR3, 1GHz Pentium Mobile, 1GB RAM).

In FC3 on OO.org 1.3 I could work much much more faster.



Version-Release number of selected component (if applicable):
openoffice.org-core-1.9.125-1.1.0

How reproducible:
Always

Steps to Reproduce:
1. Open attached file
2. Try to insert new values in current cells

  

Actual Results:  It takes 2 seconds for new value to appear and OO.org be responsive again

Expected Results:  Insertion of values should be immediate

Additional info:
Comment 1 David 2005-09-09 20:08:37 EDT
Created attachment 118671 [details]
Test file to prove the slowness of Calc
Comment 2 Caolan McNamara 2005-09-10 05:54:45 EDT
You should log this bug against www.openoffice.org as it would be a generic
issue with all openoffice.org varients.
Comment 3 David 2005-09-10 09:05:25 EDT
(In reply to comment #2)
> You should log this bug against www.openoffice.org as it would be a generic
> issue with all openoffice.org varients.

I filed it as: http://www.openoffice.org/issues/show_bug.cgi?id=54430

Let's see what happens.

Thanks for the feedback,
David

Note You need to log in before you can comment on or make changes to this bug.